Cgl 0.60.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
List of all members
CoinModelHash2 Class Reference

For int,int hashing. More...

`#include <CoinModelUseful.hpp>`

Collaboration diagram for CoinModelHash2:
[legend]

## Public Member Functions
Constructors, destructor
| CoinModelHash2 ()
| Default constructor. More...
| ~CoinModelHash2 ()
| Destructor. More...
Copy method
| CoinModelHash2 (const CoinModelHash2 &)
| The copy constructor. More...
CoinModelHash2 & | operator= (const CoinModelHash2 &)
| = More...
sizing (just increases)
void | resize (CoinBigIndex maxItems, const CoinModelTriple *triples, bool forceReHash=false)
| Resize hash (also re-hashs) More...
CoinBigIndex | numberItems () const
| Number of items. More...
void | setNumberItems (CoinBigIndex number)
| Set number of items. More...
CoinBigIndex | maximumItems () const
| Maximum number of items. More...

## Private Attributes
Data members
CoinModelHashLink2 * | hash_
| hash More...
CoinBigIndex | numberItems_
| Number of items. More...
CoinBigIndex | maximumItems_
| Maximum number of items. More...
CoinBigIndex | lastSlot_
| Last slot looked at. More...

## hashing
CoinBigIndex | hash (int row, int column, const CoinModelTriple *triples) const
| Returns index or -1. More...
void | addHash (CoinBigIndex index, int row, int column, const CoinModelTriple *triples)
| Adds to hash. More...
void | deleteHash (CoinBigIndex index, int row, int column)
| Deletes from hash. More...
CoinBigIndex | hashValue (int row, int column) const
| Returns a hash value. More...

## Detailed Description

For int,int hashing.

Definition at line 301 of file CoinModelUseful.hpp.

## Constructor & Destructor Documentation

CoinModelHash2::CoinModelHash2 | ( |  | ) |

Default constructor.

CoinModelHash2::~CoinModelHash2 | ( |  | ) |

Destructor.

CoinModelHash2::CoinModelHash2 | ( | const CoinModelHash2 & |  | ) |

The copy constructor.

## Member Function Documentation

CoinModelHash2& CoinModelHash2::operator= | ( | const CoinModelHash2 & |  | ) |

=

void CoinModelHash2::resize | ( | CoinBigIndex | maxItems,
|  | const CoinModelTriple * | triples,
|  | bool | forceReHash = `false`
| ) |  |

Resize hash (also re-hashs)

CoinBigIndex CoinModelHash2::numberItems | ( |  | ) | const
| inline

Number of items.

Definition at line 325 of file CoinModelUseful.hpp.

void CoinModelHash2::setNumberItems | ( | CoinBigIndex | number | ) |

Set number of items.

CoinBigIndex CoinModelHash2::maximumItems | ( |  | ) | const
| inline

Maximum number of items.

Definition at line 332 of file CoinModelUseful.hpp.

CoinBigIndex CoinModelHash2::hash | ( | int | row,
|  | int | column,
|  | const CoinModelTriple * | triples
| ) |  | const

Returns index or -1.

void CoinModelHash2::addHash | ( | CoinBigIndex | index,
|  | int | row,
|  | int | column,
|  | const CoinModelTriple * | triples
| ) |  |

Adds to hash.

void CoinModelHash2::deleteHash | ( | CoinBigIndex | index,
|  | int | row,
|  | int | column
| ) |  |

Deletes from hash.

CoinBigIndex CoinModelHash2::hashValue | ( | int | row,
|  | int | column
| ) |  | const
| private

Returns a hash value.

## Member Data Documentation

CoinModelHashLink2* CoinModelHash2::hash_
| private

hash

Definition at line 357 of file CoinModelUseful.hpp.

CoinBigIndex CoinModelHash2::numberItems_
| private

Number of items.

Definition at line 359 of file CoinModelUseful.hpp.

CoinBigIndex CoinModelHash2::maximumItems_
| private

Maximum number of items.

Definition at line 361 of file CoinModelUseful.hpp.

CoinBigIndex CoinModelHash2::lastSlot_
| private

Last slot looked at.

Definition at line 363 of file CoinModelUseful.hpp.

The documentation for this class was generated from the following file:

- /tmp/Cgl-0.60.2/CoinUtils/src/CoinModelUseful.hpp